Page MenuHomePhabricator

Set $wgCategoryCollation to 'uca-vi' on all Vietnamese wikis and rebuild category sort keys
Closed, ResolvedPublic

Description

Per bug 45443, category collation should be localized on the Vietnamese Wikipedia, Vietnamese Wiktionary, Vietnamese Wikibooks, Vietnamese Wikisource, and Vietnamese Wikiquote. Please set $wgCategoryCollation to 'uca-vi' and rebuild the category sort keys. There have been many requests for this functionality over the years, and the snap polls are clearly in favor:

  • [[w:vi:Wikipedia:Thảo luận#Thứ tự sắp xếp]]
  • [[wikt:vi:Thảo luận Wiktionary:Thảo luận#Thứ tự sắp xếp]]
  • [[b:vi:Wikibooks:Bàn thảo luận/Đề xuất#Sắp xếp các thể loại theo bảng chữ cái tiếng Việt]]
  • [[s:vi:Wikisource:Thảo luận#Thứ tự sắp xếp]]

Thank you!


Version: wmf-deployment
Severity: enhancement
URL: http://vi.wikipedia.org/wiki/Wikipedia:Thảo_luận/Lưu_23#Th.E1.BB.A9_t.E1.BB.B1_s.E1.BA.AFp_x.E1.BA.BFp
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=53616

Details

Reference
bz45979

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:35 AM
bzimport set Reference to bz45979.
mxn created this task.Mar 11 2013, 6:46 AM

Just a note that this is also going to cause all non-Vietnamese accented letters to be sorted together with then unaccented forms.

This shouldn't be an issue for most projects, but it might be unwanted on Wiktionary. Can you confirm you do want this behavior as well? :)

(I really need to document this properly, sorry.)

mxn added a comment.Mar 11 2013, 7:05 PM

Yes, until MediaWiki gains the ability to collate differently depending on the category, this is the next best thing. We've already handled the issue to some extent: French entries, for instance, all have accentless sort keys to ensure that the non-Vietnamese accented letters are sorted with unaccented forms.

mxn added a comment.Mar 12 2013, 7:33 AM

For Wiktionary, which allows all-lowercase page titles, would uca-vi lump e.g. "Internet" and "internet" together under the same heading? We'd be happy with either outcome, but it would be good to document that behavior too.

mxn added a comment.Mar 12 2013, 7:34 AM

Collation seems to be working great at the test wiki, by the way.

I'm on it; sorry for the delay.

For the record, the Wikipedia confirmation got archived and is not available at https://vi.wikipedia.org/wiki/Wikipedia:Thảo_luận/Lưu_23#Th.E1.BB.A9_t.E1.BB.B1_s.E1.BA.AFp_x.E1.BA.BFp

(In reply to comment #4)

For Wiktionary, which allows all-lowercase page titles, would uca-vi lump
e.g.
"Internet" and "internet" together under the same heading?

Yes. This configuration (allowing loewrcase titles) in now enabled on the testwiki I linked, so you can try it out there.

Related URL: https://gerrit.wikimedia.org/r/60705 (Gerrit Change I3517a9aab8fa8935a86130c4bbdc0ce117f28f02)

mxn added a comment.Apr 25 2013, 7:23 AM

Thanks for looking into this request.

(In reply to comment #6)

For the record, the Wikipedia confirmation got archived and is not available
at
https://vi.wikipedia.org/wiki/Wikipedia:Thảo_luận/Lưu_23#Th.E1.BB.A9_t.E1.BB.
B1_s.E1.BA.AFp_x.E1.BA.BFp

That would be [[w:vi:Wikipedia:Thảo luận/Lưu 23#Thứ tự sắp xếp]] now. It occurs to me that I forgot to ask the one or two active users at the Vietnamese Wikiquote whether they'd also like Vietnamese collation. I'm confident the answer would be yes, but I've started a discussion at [[q:vi:Wikiquote:Thảo luận#Thứ tự sắp xếp]] as a formality.

I added vi.wikiquote to the configuration patch.

https://gerrit.wikimedia.org/r/60705 (Gerrit Change I3517a9aab8fa8935a86130c4bbdc0ce117f28f02) | change APPROVED and MERGED [by Reedy]

Reedy says the processing is done. Marking as fixed.